org.wildfly.swarm.config.infinispan.cache_container

## Class LockingComponent<T extends LockingComponent<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.infinispan.cache_container.LockingComponent<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class LockingComponent<T extends LockingComponent<T>>
      extends HashMap

  The locking configuration of the cache.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LockingComponent.Isolation`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LockingComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `acquireTimeout()` Maximum time to attempt a particular lock acquisition.
    `T` | `acquireTimeout(Long value)` Maximum time to attempt a particular lock acquisition.
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Integer` | `concurrencyLevel()` Concurrency level for lock containers.
    `T` | `concurrencyLevel(Integer value)` Concurrency level for lock containers.
    `Integer` | `currentConcurrencyLevel()` The estimated number of concurrently updating threads which this cache can support.
    `T` | `currentConcurrencyLevel(Integer value)` The estimated number of concurrently updating threads which this cache can support.
    `String` | `getKey()`
    `LockingComponent.Isolation` | `isolation()` Sets the cache locking isolation level.
    `T` | `isolation(LockingComponent.Isolation value)` Sets the cache locking isolation level.
    `Integer` | `numberOfLocksAvailable()` The number of locks available to this cache.
    `T` | `numberOfLocksAvailable(Integer value)` The number of locks available to this cache.
    `Integer` | `numberOfLocksHeld()` The number of locks currently in use by this cache.
    `T` | `numberOfLocksHeld(Integer value)` The number of locks currently in use by this cache.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `striping()` If true, a pool of shared locks is maintained for all entries that need to be locked.
    `T` | `striping(Boolean value)` If true, a pool of shared locks is maintained for all entries that need to be locked.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### LockingComponent

          public LockingComponent()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### acquireTimeout

          public Long acquireTimeout()

      Maximum time to attempt a particular lock acquisition.

    - #### acquireTimeout

          public T acquireTimeout(Long value)

      Maximum time to attempt a particular lock acquisition.

    - #### concurrencyLevel

          public Integer concurrencyLevel()

      Concurrency level for lock containers. Adjust this value according to the number of concurrent threads interacting with Infinispan.

    - #### concurrencyLevel

          public T concurrencyLevel(Integer value)

      Concurrency level for lock containers. Adjust this value according to the number of concurrent threads interacting with Infinispan.

    - #### currentConcurrencyLevel

          public Integer currentConcurrencyLevel()

      The estimated number of concurrently updating threads which this cache can support. May return null if the cache is not started.

    - #### currentConcurrencyLevel

          public T currentConcurrencyLevel(Integer value)

      The estimated number of concurrently updating threads which this cache can support. May return null if the cache is not started.

    - #### isolation

          public LockingComponent.Isolation isolation()

      Sets the cache locking isolation level.

    - #### isolation

          public T isolation(LockingComponent.Isolation value)

      Sets the cache locking isolation level.

    - #### numberOfLocksAvailable

          public Integer numberOfLocksAvailable()

      The number of locks available to this cache. May return null if the cache is not started.

    - #### numberOfLocksAvailable

          public T numberOfLocksAvailable(Integer value)

      The number of locks available to this cache. May return null if the cache is not started.

    - #### numberOfLocksHeld

          public Integer numberOfLocksHeld()

      The number of locks currently in use by this cache. May return null if the cache is not started.

    - #### numberOfLocksHeld

          public T numberOfLocksHeld(Integer value)

      The number of locks currently in use by this cache. May return null if the cache is not started.

    - #### striping

          public Boolean striping()

      If true, a pool of shared locks is maintained for all entries that need to be locked. Otherwise, a lock is created per entry in the cache. Lock striping helps control memory footprint but may reduce concurrency in the system.

    - #### striping

          public T striping(Boolean value)

      If true, a pool of shared locks is maintained for all entries that need to be locked. Otherwise, a lock is created per entry in the cache. Lock striping helps control memory footprint but may reduce concurrency in the system.

Copyright © 2017 JBoss by Red Hat. All rights reserved.